#!/bin/sh

# Author: Zhang Huangbin (michaelbibby <at> gmail.com)
# Modified by A.Lang (alang.hsu <at> gmail.com)

# ------------------------------
# Define some global variables.
# ------------------------------
export ROOTDIR="$(pwd)"
export CONF_DIR="${ROOTDIR}/conf"
export FUNCTIONS_DIR="${ROOTDIR}/functions"
export DIALOG_DIR="${ROOTDIR}/dialog"
export PKG_DIR="${ROOTDIR}/pkgs"
export MISC_DIR="${ROOTDIR}/misc"

. ${CONF_DIR}/global
. ${CONF_DIR}/functions

# ------------------------------
# Check target platform and environment.
# ------------------------------
check_arch && check_env

# -----------------------
# Import variables
# ---------------------

. ${CONF_DIR}/asterisk


# ---------------------
# Import functions
# ---------------------

. ${FUNCTIONS_DIR}/codecs_install.sh

# ************************************************************************
# *************************** Script Main ********************************
# ************************************************************************

# Install codecs.
check_status_before_run codec_install || (ECHO_INFO "Package installation error, please check the output log."; exit 255)




