#!/bin/sh

# Author: Zhang Huangbin (michaelbibby <at> gmail.com)
# Modified by A.Lang (alang.hsu <at> gmail.com)

# ------------------------------
# Define some global variables.
# ------------------------------
export ROOTDIR="$(pwd)"
export CONF_DIR="${ROOTDIR}/conf"
export FUNCTIONS_DIR="${ROOTDIR}/functions"
export DIALOG_DIR="${ROOTDIR}/dialog"
export PKG_DIR="${ROOTDIR}/pkgs"
export MISC_DIR="${ROOTDIR}/misc"

. ${CONF_DIR}/global
. ${CONF_DIR}/functions

# -----------------------
# Import variables
# ---------------------

. ${CONF_DIR}/asterisk


#--------- Main script ---------

MODULE_LIST="$(cd $AST_MODULE_DIR && ls osslab-codec*.so 2>/dev/null)"

if [ -z "$MODULE_LIST" ]; then
   ECHO_INFO "The module file not found! Exit this process."
   exit
else
   ECHO_QUESTION "Found the codec modules as the following: 
$MODULE_LIST
Are you sure remove them? [y/N]"
   read ANSWER

        case  $ANSWER in
            Y|y )
                for i in $MODULE_LIST
                do
                    rm -f $AST_MODULE_DIR/$i
                    ECHO_INFO "Removing the codec $i..."
                done
                ECHO_INFO "You need to manaually restart Asterisk after removed the codec files."
                ;;
            N|n|* )
                ECHO_INFO "Exit this program."
                ;;
        esac
fi


